> ## Documentation Index
> Fetch the complete documentation index at: https://docs.learningcommons.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Standards in a framework

> Fetches a list of StandardsFrameworkItems for a specific standards framework.

This endpoint retrieves academic standards from a single standards framework identified by its CASE Network UUID. You can further filter the results by grade level or classification type. This is useful when you need to work with academic standards from a specific state or jurisdiction.

Use this endpoint when you need to:
- Get all academic standards within a specific standards framework
- Find academic standards for a particular grade level within a standards framework
- Filter academic standards by subject area (e.g., only Mathematics academic standards)
- Filter academic standards by their normalized classification (e.g., only instructional academic standards, not organizational groupings)
- Retrieve a subset of a standards framework's academic standards for display or processing

The endpoint returns paginated results. Use the `limit` and `cursor` parameters to control the number of results returned and navigate through large result sets.

**Related topics:**
- [Understanding StandardsFrameworkItem classifications](/knowledge-graph/graph-reference/value-and-format-standards#normalizedstatementtypeenum)




## OpenAPI

````yaml /api-reference/knowledge-graph-api/openapi.yaml get /academic-standards
openapi: 3.0.3
info:
  title: Learning Commons Knowledge Graph REST API
  description: >
    REST API for accessing education knowledge graph data including academic
    standards, learning components, and curriculum information.


    **Key datasets:**

    - **Academic Standards**: Official state standards from all 50 U.S. states
    sourced from 1EdTech's CASE Network

    - **Learning Components**: Granular, teachable skills that break down broad
    standards into actionable instructional units

    - **Standards Crosswalks**: Connections between standards and frameworks

    - **Curriculum**: Structured course content including courses, lesson
    groupings (units, sections, modules), lessons, activities, and assessments


    **Learn more:**

    - [Knowledge Graph
    Overview](/knowledge-graph/understanding-knowledge-graph/introduction)

    - [Academic Standards](/knowledge-graph/graph-reference/academic-standards)

    - [Learning
    Components](/knowledge-graph/graph-reference/learning-components)

    - [Standards
    Crosswalks](/knowledge-graph/graph-reference/standards-crosswalks)

    - [Curriculum](/knowledge-graph/graph-reference/curriculum)

    - [Quickstart](/knowledge-graph/getting-started/quickstart)
  version: '0'
servers:
  - url: https://api.learningcommons.org/knowledge-graph/v0
    description: Production server
security:
  - ApiKeyAuth: []
tags:
  - name: Academic Standards
    description: Academic standards operations
  - name: Curriculum
    description: Curriculum operations
  - name: Hierarchy
    description: Hierarchical navigation operations
  - name: Learning Components
    description: Learning components operations
  - name: Learning Progressions
    description: Learning progressions operations
  - name: Search
    description: Search and discovery operations
  - name: Standards Crosswalks
    description: Standards crosswalks operations
paths:
  /academic-standards:
    get:
      tags:
        - Academic Standards
      summary: Standards in a framework
      description: >
        Fetches a list of StandardsFrameworkItems for a specific standards
        framework.


        This endpoint retrieves academic standards from a single standards
        framework identified by its CASE Network UUID. You can further filter
        the results by grade level or classification type. This is useful when
        you need to work with academic standards from a specific state or
        jurisdiction.


        Use this endpoint when you need to:

        - Get all academic standards within a specific standards framework

        - Find academic standards for a particular grade level within a
        standards framework

        - Filter academic standards by subject area (e.g., only Mathematics
        academic standards)

        - Filter academic standards by their normalized classification (e.g.,
        only instructional academic standards, not organizational groupings)

        - Retrieve a subset of a standards framework's academic standards for
        display or processing


        The endpoint returns paginated results. Use the `limit` and `cursor`
        parameters to control the number of results returned and navigate
        through large result sets.


        **Related topics:**

        - [Understanding StandardsFrameworkItem
        classifications](/knowledge-graph/graph-reference/value-and-format-standards#normalizedstatementtypeenum)
      operationId: listAcademicStandards
      parameters:
        - name: standardsFrameworkCaseIdentifierUUID
          in: query
          required: true
          description: CASE Network UUID for the resource
          schema:
            type: string
            format: uuid
        - $ref: '#/components/parameters/GradeLevelParam'
        - $ref: '#/components/parameters/AcademicSubjectParam'
        - name: normalizedStatementType
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/NormalizedStatementTypeENUM'
        - $ref: '#/components/parameters/LimitParam'
        - $ref: '#/components/parameters/CursorParam'
      responses:
        '200':
          description: Successfully retrieved list of standards
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/PaginatedResponse'
                  - type: object
                    properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/StandardsFrameworkItem'
              example:
                data:
                  - identifier: 8e73cea8-f61d-5ac4-bcef-a84a331618d6
                    caseIdentifierURI: >-
                      https://satchelcommons.com/ims/case/v1p0/CFItems/65b82d75-d7cc-11e8-824f-0242ac160002
                    caseIdentifierUUID: 65b82d75-d7cc-11e8-824f-0242ac160002
                    name: null
                    statementCode: null
                    description: Standards for Mathematical Practice
                    statementType: null
                    normalizedStatementType: null
                    jurisdiction: Vermont
                    academicSubject: Mathematics
                    gradeLevel:
                      - K
                      - '1'
                      - '2'
                      - '3'
                      - '4'
                      - '5'
                      - '6'
                      - '7'
                      - '8'
                      - '9'
                      - '10'
                      - '11'
                      - '12'
                    inLanguage: en-US
                    dateCreated: null
                    dateModified: '2023-11-19'
                    notes: null
                    author: 1EdTech
                    provider: Learning Commons
                    license: https://creativecommons.org/licenses/by/4.0/
                    attributionStatement: >-
                      Knowledge Graph is provided by Learning Commons under the
                      CC BY-4.0 license. Learning Commons received state
                      standards and written permission under CC BY-4.0 from
                      1EdTech.
                    hasChildren: true
                pagination:
                  limit: 1
                  nextCursor: >-
                    eyJpZGVudGlmaWVyIjogIjhlNzNjZWE4LWY2MWQtNWFjNC1iY2VmLWE4NGEzMzE2MThkNiJ9
                  hasMore: true
        '400':
          description: >-
            Bad request - Missing required parameter or using invalid filter
            values
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                error: ValidationError
                message: >-
                  Missing required parameter:
                  standardsFrameworkCaseIdentifierUUID. Example:
                  ?standardsFrameworkCaseIdentifierUUID=c6493f4d-d7cb-11e8-824f-0242ac160002
                requestId: req_12345
        '422':
          description: >-
            Unprocessable Entity - Invalid parameter values (e.g., enum value
            not in allowed list)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                error: ValidationError
                message: Input should be 'Standard', 'Standard Grouping', or 'Other'
                requestId: req_12345
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                error: InternalServerError
                message: >-
                  An unexpected error occurred while retrieving academic
                  standards
                requestId: req_12345
components:
  parameters:
    GradeLevelParam:
      name: gradeLevel
      in: query
      required: false
      schema:
        type: array
        items:
          $ref: '#/components/schemas/GradeLevelENUM'
      style: form
      explode: true
      example:
        - '9'
        - '10'
    AcademicSubjectParam:
      name: academicSubject
      in: query
      required: false
      schema:
        $ref: '#/components/schemas/AcademicSubjectENUM'
    LimitParam:
      name: limit
      in: query
      required: false
      description: Maximum number of results to return
      schema:
        type: integer
        minimum: 1
        maximum: 1000
        default: 100
    CursorParam:
      name: cursor
      in: query
      required: false
      description: >-
        Pagination cursor obtained from the `nextCursor` field in a previous
        response (not needed for the first page)
      schema:
        type: string
  schemas:
    NormalizedStatementTypeENUM:
      type: string
      description: >-
        Classification label that has been standardized across standards
        frameworks for cross-state queries and categorization
      enum:
        - Standard
        - Standard Grouping
        - Other
    PaginatedResponse:
      type: object
      description: Cursor-based paginated response
      required:
        - data
        - pagination
      properties:
        data:
          type: array
          description: Array of result items
          items:
            type: object
        pagination:
          $ref: '#/components/schemas/Pagination'
    StandardsFrameworkItem:
      type: object
      description: >-
        Individual element within a standards framework (e.g., standards,
        organizational groupings)
      required:
        - identifier
        - caseIdentifierUUID
        - author
        - provider
        - license
        - attributionStatement
        - hasChildren
      properties:
        identifier:
          type: string
          description: Unique identifier for the resource in Knowledge Graph
        caseIdentifierURI:
          type: string
          format: uri
          description: URI referencing the CASE Network equivalent
        caseIdentifierUUID:
          type: string
          format: uuid
          description: CASE Network UUID for the resource
        statementCode:
          type: string
          nullable: true
          description: >-
            Code that identifies a standard within its standards framework
            (e.g., "3.NF.A.1", "A.1B", "MP1"); `null` for organizational
            groupings without assigned codes
        description:
          type: string
          nullable: true
          description: >-
            Full text of the standard describing what students should know or be
            able to do
        statementType:
          type: string
          nullable: true
          description: >-
            Original classification label that preserves the terminology in the
            state's official standards document (e.g., "Domain", "Cluster",
            "Strand", "Benchmark", "Practice Standard")
        normalizedStatementType:
          $ref: '#/components/schemas/NormalizedStatementTypeENUM'
          nullable: true
        jurisdiction:
          $ref: '#/components/schemas/JurisdictionENUM'
        academicSubject:
          $ref: '#/components/schemas/AcademicSubjectENUM'
        gradeLevel:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/GradeLevelENUM'
        inLanguage:
          $ref: '#/components/schemas/LanguageENUM'
          description: Language used in the resource (BCP 47 format)
        dateModified:
          type: string
          format: date
          nullable: true
          description: Date last modified
        notes:
          type: string
          nullable: true
          description: >-
            (Optional) Additional context, commentary, clarifications, or usage
            guidance
        author:
          type: string
          description: Author or creator of the resource
        provider:
          type: string
          description: Source data provider for the resource
        license:
          type: string
          format: uri
          description: URL to the resource's license document
        attributionStatement:
          type: string
          description: >-
            Statement that acknowledges the resource's author and provider, as
            required by the CC BY 4.0 license
        hasChildren:
          type: boolean
          description: Whether this item has 1+ direct child standards
    Error:
      type: object
      description: Standard error response object returned for all error conditions
      required:
        - error
        - message
        - requestId
      properties:
        error:
          type: string
          description: >-
            Machine-readable error type identifier (e.g., `ValidationError`,
            `NotFoundError`, `InternalServerError`)
        message:
          type: string
          description: >-
            Human-readable error message that explains what went wrong and may
            include actionable guidance
        requestId:
          type: string
          description: Unique identifier for this request (for debugging and support)
        details:
          type: object
          description: >-
            Optional additional details about the error, such as validation
            failures or field-specific issues
          additionalProperties: true
    GradeLevelENUM:
      type: string
      description: Educational grade level that the resource is intended for
      enum:
        - PK
        - K
        - '1'
        - '2'
        - '3'
        - '4'
        - '5'
        - '6'
        - '7'
        - '8'
        - '9'
        - '10'
        - '11'
        - '12'
    AcademicSubjectENUM:
      type: string
      description: Academic subject area
      enum:
        - English Language Arts
        - Mathematics
        - Science
        - Social Studies
        - Other
    Pagination:
      type: object
      description: Cursor-based pagination metadata
      required:
        - limit
        - hasMore
      properties:
        limit:
          type: integer
          description: Maximum number of results to return per page
        nextCursor:
          type: string
          nullable: true
          description: >-
            Cursor for fetching the next page of results in your next request
            (`null` if there are no more results)
        hasMore:
          type: boolean
          description: Whether there are more results after this page
    JurisdictionENUM:
      type: string
      description: US state, territory, or multi-state designation
      enum:
        - Alabama
        - Alaska
        - Arizona
        - Arkansas
        - California
        - Colorado
        - Connecticut
        - Delaware
        - Florida
        - Georgia
        - Hawaii
        - Idaho
        - Illinois
        - Indiana
        - Iowa
        - Kansas
        - Kentucky
        - Louisiana
        - Maine
        - Maryland
        - Massachusetts
        - Michigan
        - Minnesota
        - Mississippi
        - Missouri
        - Montana
        - Nebraska
        - Nevada
        - New Hampshire
        - New Jersey
        - New Mexico
        - New York
        - North Carolina
        - North Dakota
        - Ohio
        - Oklahoma
        - Oregon
        - Pennsylvania
        - Rhode Island
        - South Carolina
        - South Dakota
        - Tennessee
        - Texas
        - Utah
        - Vermont
        - Virginia
        - Washington
        - Washington, D.C.
        - West Virginia
        - Wisconsin
        - Wyoming
        - Multi-State
    LanguageENUM:
      type: string
      description: Language used in the resource (BCP 47 format)
      enum:
        - en-US
        - es-US
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication

````